Draft Offset/sv: Difference between revisions

From FreeCAD Documentation
(page)
 
(Updating to match new version of source page)
Line 1: Line 1:
{{GuiCommand/sv|Name=Draft_Offset|Workbenches=[[Draft Module/sv|Skiss]]|MenuLocation=Draft -> Offset}}
{{GuiCommand|Name=Draft Offset|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft -> Offset|Shortcut=O S}}


===Beskrivning===
==Description==


The Offset tool offsets the selected object by a given distance on the current [[Draft Workingplane|work plane]]. If no object is selected, you will be invited to select one.
Detta verktyg gör en offset på det valda objektet. Om inget objekt är valt, så kommer du ombes att välja ett. Sedan ombes du om en punkt som ger avståndet för offseten från det markerade objektet.


[[Image:Draft_Offset_example.jpg]]
[[Image:Draft_Offset_example.jpg|400px]]


====Bruk====
==How to use==


# Select objects you wish to offset
* Markera punkter i ett tomt område i 3d vyn, eller på ett existerande objekt.
# Press the {{KEY|[[Image:Draft Offset.png|16px]] [[Draft Offset]]}} button, or press {{KEY|O}} then {{KEY|S}} keys
* Nedtryckning av {{KEY|CTRL}} kommer att [[Draft_Snap/sv|snäppa]] din punkt till tillgängliga snäpp-punkter.
# Click a point on the 3D view, or type a distance.
* Nedtryckning av {{KEY|SKIFT}} kommer att [[Draft_Constrain/sv|begränsa]] dig till det nuvarande segmentet, iställed för att markera det närmaste.
* Om du trycker på {{KEY|ESC}} så avbryts funktionen.
* {{KEY|C}} växlar kopieringsläget på/av. Med kopiering på, så kommer objekt(en) att kopieras istället för att flyttas.
* Nedtryckning av {{KEY|ALT}} kommer att skapa en kopia, även om kopieringsknappen är av.
* Om {{KEY|ALT}} är nedtryckt, så kan du göra multipla kopior ända tills {{KEY|ALT}} släpps.


==Options==
{{languages/sv | {{en|Draft Offset}} {{es|Draft Offset/es}} {{fr|Draft Offset/fr}} {{it|Draft Offset/it}} }}

* Press {{KEY|T}} or click the checkbox to check/uncheck the {{KEY|'''Continue'''}} button. If continue mode is on, the Offset tool will restart after you finish or close it, allowing you to offset or copy the objects another time without pressing the Offset button again.
* Pressing {{KEY|ALT}} or {{KEY|C}} or clicking the {{KEY|'''Copy'''}} button will make a copy of the objects, instead of moving them. If you keep {{KEY|ALT}} pressed after clicking the second point, you will be able to place more copies, until you release the {{KEY|ALT}} key.
* Press {{KEY|CTRL}} while drawing to force [[Draft_Snap|snapping]] your point to the nearest snap location, independently of the distance.
* Pressing {{KEY|SHIFT}} will [[Draft_Constrain|constrain]] you to the current segment, instead of picking the closest one.
* Press {{KEY|ESC}} or the {{KEY|'''Cancel'''}} button to abort the current command.

==Scripting==

The Offset tool can by used in [[macros]] and from the python console by using the following function:

<syntaxhighlight>
offset (object,Vector,[copymode],[bind],[sym])
</syntaxhighlight>

* Offsets the given wire by applying the given Vector to its first vertex.
* If copymode is True, another object is created, otherwise the same object gets offsetted.
* If bind is True, and provided the wire is open, the original and the offsetted wires will be bound by their endpoints, forming a face.
* If sym is True, the offset is made on both sides, the total width being the length of the given vector.
* Returns the offsetted object (or its copy if copymode as True).

Example:

<syntaxhighlight>
import FreeCAD,Draft
Draft.offset(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,0))
</syntaxhighlight>

<languages/>

Revision as of 15:56, 13 February 2014

Draft Offset

Menu location
Draft -> Offset
Workbenches
Draft, Arch
Default shortcut
O S
Introduced in version
-
See also
None

Description

The Offset tool offsets the selected object by a given distance on the current work plane. If no object is selected, you will be invited to select one.

How to use

  1. Select objects you wish to offset
  2. Press the Draft Offset button, or press O then S keys
  3. Click a point on the 3D view, or type a distance.

Options

  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the Offset tool will restart after you finish or close it, allowing you to offset or copy the objects another time without pressing the Offset button again.
  • Pressing ALT or C or clicking the Copy button will make a copy of the objects, instead of moving them. If you keep ALT pressed after clicking the second point, you will be able to place more copies, until you release the ALT key.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Pressing SHIFT will constrain you to the current segment, instead of picking the closest one.
  • Press ESC or the Cancel button to abort the current command.

Scripting

The Offset tool can by used in macros and from the python console by using the following function:

 offset (object,Vector,[copymode],[bind],[sym])
  • Offsets the given wire by applying the given Vector to its first vertex.
  • If copymode is True, another object is created, otherwise the same object gets offsetted.
  • If bind is True, and provided the wire is open, the original and the offsetted wires will be bound by their endpoints, forming a face.
  • If sym is True, the offset is made on both sides, the total width being the length of the given vector.
  • Returns the offsetted object (or its copy if copymode as True).

Example:

 import FreeCAD,Draft
 Draft.offset(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,0))